/* the cantus project.
 * (c)2002 by Samuel Abels (sam@manicsadness.com)
 * This project's homepage is: http://software.manicsadness.com/cantus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define MAX_TRACKS 99

typedef struct CDTrack_s
{
	gchar number[20];
	gchar title[2048];
	gchar filename[2048];
} CDTrack;

typedef struct CDInfo_s
{
	gulong id;
	gint tracks;
	gulong track_offset[100];
	gint seconds;
	gchar genre[512];
	gchar cdtitle[1024];
	gpointer track[MAX_TRACKS];
	gchar year[20];
} CDInfo;


gint freedb_connect_host(gchar *hostname, guint host_port, gchar *proxy, guint proxy_port);
gint freedb_get_album_by_id_and_category(gint socket_number, gchar *hostname, guint host_port, gchar *cgi_path, gchar *progname, gchar *version, CDInfo **cd);
gint freedb_get_albumlist_by_searchstring(gint socket_number, gchar *pstring, GList **cdlist);
